Subject: Re: bug#12404: 24.2; fails to load X11 resources
From: Jan Djärv <[email-masked]>
To: Yuri D'Elia <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Thu, 13 Sep 2012 13:15:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

13 sep 2012 kl. 11:42 skrev Yuri D'Elia <[email-masked]>:

> On 09/11/2012 08:09 PM, Jan Djärv wrote:
>> X resources for font take precedencde, last in x_default_font_parameter:
>> 
>>   /* This call will make X resources override any system font setting.  */
>>   x_default_parameter (f, parms, Qfont, font, "font", "Font", RES_TYPE_STRING);
>> 
>>> How can I force emacs to use X11 resources over gsettings? I have been using *font for years now to configure the default font globally, including with emacs23.
>>> 
>> 
>> X11 resources for font already takes precedence over other sources.
>> Do you see emacs.font when you do:
>> % xrdb -query
> 
> Yes, the resource is set. I was able to run emacs24 with the font resource correctly by executing it as "emacs" as opposed to "emacs24" (I guess the class name is inherited from the executable name?).

No, the class is Emacs, but you used emacs.font.  Good that it solved itself, closing this bug as there is no Emacs error here.

	Jan D.